Package it.ernytech.tdlib

## Class TdApi.ChatEventLogFilters

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatEventLogFilters

Enclosing class:
  TdApi

    public static class TdApi.ChatEventLogFilters
    extends TdApi.Object

Represents a set of filters used to obtain a chat event log.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `infoChanges` True, if changes in chat information should be returned.
`boolean` `memberInvites` True, if invited member events should be returned.
`boolean` `memberJoins` True, if members joining events should be returned.
`boolean` `memberLeaves` True, if members leaving events should be returned.
`boolean` `memberPromotions` True, if member promotion/demotion events should be returned.
`boolean` `memberRestrictions` True, if member restricted/unrestricted/banned/unbanned events should be returned.
`boolean` `messageDeletions` True, if message deletions should be returned.
`boolean` `messageEdits` True, if message edits should be returned.
`boolean` `messagePins` True, if pin/unpin events should be returned.
`boolean` `settingChanges` True, if changes in chat settings should be returned.

### Constructor Summary

Constructors
`ChatEventLogFilters()` Default constructor.
`ChatEventLogFilters​(boolean messageEdits, boolean messageDeletions, boolean messagePins, boolean memberJoins, boolean memberLeaves, boolean memberInvites, boolean memberPromotions, boolean memberRestrictions, boolean infoChanges, boolean settingChanges)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### messageEdits

    public boolean messageEdits

True, if message edits should be returned.

#### messageDeletions

    public boolean messageDeletions

True, if message deletions should be returned.

#### messagePins

    public boolean messagePins

True, if pin/unpin events should be returned.

#### memberJoins

    public boolean memberJoins

True, if members joining events should be returned.

#### memberLeaves

    public boolean memberLeaves

True, if members leaving events should be returned.

#### memberInvites

    public boolean memberInvites

True, if invited member events should be returned.

#### memberPromotions

    public boolean memberPromotions

True, if member promotion/demotion events should be returned.

#### memberRestrictions

    public boolean memberRestrictions

True, if member restricted/unrestricted/banned/unbanned events should be returned.

#### infoChanges

    public boolean infoChanges

True, if changes in chat information should be returned.

#### settingChanges

    public boolean settingChanges

True, if changes in chat settings should be returned.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatEventLogFilters

    public ChatEventLogFilters()

Default constructor.

#### ChatEventLogFilters

    public ChatEventLogFilters​(boolean messageEdits,
                               boolean messageDeletions,
                               boolean messagePins,
                               boolean memberJoins,
                               boolean memberLeaves,
                               boolean memberInvites,
                               boolean memberPromotions,
                               boolean memberRestrictions,
                               boolean infoChanges,
                               boolean settingChanges)

Constructor for initialization of all fields.

Parameters:
  `messageEdits` - True, if message edits should be returned.
  `messageDeletions` - True, if message deletions should be returned.
  `messagePins` - True, if pin/unpin events should be returned.
  `memberJoins` - True, if members joining events should be returned.
  `memberLeaves` - True, if members leaving events should be returned.
  `memberInvites` - True, if invited member events should be returned.
  `memberPromotions` - True, if member promotion/demotion events should be returned.
  `memberRestrictions` - True, if member restricted/unrestricted/banned/unbanned events should be returned.
  `infoChanges` - True, if changes in chat information should be returned.
  `settingChanges` - True, if changes in chat settings should be returned.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR